1. WPay
WPay
  • Introduction
  • Signature
  • API Keys
  • Get Started
  • Webhook Service
  • Api Reference
    • Authentication
      • Get Access Token
      • Refresh Access Token
    • WPay
      • Hosted Payment Page
        POST
      • List Payment History
        POST
      • Get Payment Detail
        POST
      • Refund
        POST
      • List Subscriptions
        POST
      • Get Subscription Detail
        POST
      • Cancel Subscription
        POST
      • Get Subscription Bills
        POST
    • Webhook
      • Simulate a Event Call
  • Schemas
    • Schemas
      • RefundOrderDTO
      • RefundPageReq
      • ApiPageApiPageRefundOrderDTO
      • ApiResponseApiPageRefundOrderDTO
      • CancelReq
  1. WPay

List Subscriptions

Developing
POST
/checkout/w-payment/subscriptions/list
Get a paginated list of subscriptions, with optional status filtering, order by created date desc.

Request

Body Params application/jsonRequired

Example
{
  "page": 1,
  "size": 10,
  "status": "ACTIVE"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/checkout/w-payment/subscriptions/list' \
--header 'Content-Type: application/json' \
--data '{
  "page": 1,
  "size": 10,
  "status": "ACTIVE"
}'

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
  "retcode": "200",
  "retmsg": null,
  "retdata": {
    "records": [
      {
        "id": 1001,
        "mchSubscriptionNo": "SUB-20240423-001",
        "status": "ACTIVE",
        "amount": 9.99,
        "currency": "USD",
        "intervalUnit": "month",
        "intervalCount": 1,
        "createdTime": "2024-04-23T10:00:00"
      }
    ],
    "total": 1,
    "pageSize": 10,
    "pageNo": 1
  }
}
Modified at 2026-05-17 23:28:35
Previous
Refund
Next
Get Subscription Detail
Built with